PlaceholderVisitor (Groovy 5.0.0)

Package: org.codehaus.groovy.control

## [Java] Class PlaceholderVisitor

- org.codehaus.groovy.control.PlaceholderVisitor

-     public class PlaceholderVisitor
      extends ClassCodeVisitorSupport

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PlaceholderVisitor(CompilationUnit compilationUnit, SourceUnit source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `public static boolean` | `isPlaceholder(ASTNode node)`
    `` | `public void` | `visitClosureExpression(ClosureExpression expression)` Visit the Closure (or Lambda) marking underscore-named parameters as placeholders
    `` | `public void` | `visitDeclarationExpression(DeclarationExpression expression)` Visit the declaration marking underscore-named variables in multi-assignments as placeholders

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotation, visitAnnotations, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitClosureExpression, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Constructor Detail

    - #### public PlaceholderVisitor(CompilationUnit compilationUnit, SourceUnit source)

  - ### Method Detail

    - #### @Override
      protected SourceUnit getSourceUnit()

    - #### public static boolean isPlaceholder(ASTNode node)

    - #### @Override
      public void visitClosureExpression(ClosureExpression expression)

      Visit the Closure (or Lambda) marking underscore-named parameters as placeholders

      Parameters:
        `expression` - the expression to check

    - #### @Override
      public void visitDeclarationExpression(DeclarationExpression expression)

      Visit the declaration marking underscore-named variables in multi-assignments as placeholders

      Parameters:
        `expression` - the expression to check